﻿<UserControl x:Class="MultiPage.Views.SaleUnitView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:dx="http://schemas.devexpress.com/winfx/2008/xaml/core"
        xmlns:dxe="http://schemas.devexpress.com/winfx/2008/xaml/editors"
        xmlns:dxg="http://schemas.devexpress.com/winfx/2008/xaml/grid"
        xmlns:dxb="http://schemas.devexpress.com/winfx/2008/xaml/bars"
        xmlns:dxr="http://schemas.devexpress.com/winfx/2008/xaml/ribbon"
        xmlns:dxlc="http://schemas.devexpress.com/winfx/2008/xaml/layoutcontrol"
        xmlns:dxdo="http://schemas.devexpress.com/winfx/2008/xaml/docking"
        xmlns:dxrudex="http://schemas.devexpress.com/winfx/2008/xaml/reports/userdesignerextensions"
        xmlns:dxmvvm="http://schemas.devexpress.com/winfx/2008/xaml/mvvm"
        xmlns:viewModel="clr-namespace:MultiPage.ViewModels"
        xmlns:view="clr-namespace:MultiPage.Views"
        xmlns:localization="clr-namespace:MultiPage.Localization"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        mc:Ignorable="d" d:DesignHeight="400" d:DesignWidth="600" DataContext="{dxmvvm:ViewModelSource viewModel:SaleUnitViewModel}">
    <UserControl.Resources>
        <ResourceDictionary Source="../../Resources/EntityViewResources.xaml" />
    </UserControl.Resources>
    <DockPanel Style="{StaticResource EntityView.RootContainer}">
        <dxr:RibbonControl DockPanel.Dock="Top" Style="{StaticResource EntityView.RibbonControl}">
            <dxr:RibbonDefaultPageCategory>
                <dxr:RibbonPage Style="{StaticResource EntityView.RibbonPage}">
                    <dxr:RibbonPageGroup Style="{StaticResource EntityView.RibbonPageGroup.Main}">
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Save}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.SaveAndClose}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.SaveAndNew}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Reset}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Delete}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Close}" />
                    </dxr:RibbonPageGroup>
                    <dxr:RibbonPageGroup Style="{StaticResource EntityView.RibbonPageGroup.Layout}">
                        <dxb:BarCheckItem Style="{StaticResource EntityView.Command.Customize}" IsChecked="{Binding IsCustomization, ElementName=layoutControl}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.SaveLayout}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.ResetLayout}" />
                    </dxr:RibbonPageGroup>
                </dxr:RibbonPage>
            </dxr:RibbonDefaultPageCategory>
        </dxr:RibbonControl>
        <dxr:RibbonStatusBarControl DockPanel.Dock="Bottom" Style="{StaticResource EntityView.RibbonStatusBar}" />
        <dxlc:LayoutControl x:Name="layoutControl" Style="{StaticResource EntityView.LayoutControl}">
            <dxlc:DataLayoutItem x:Name="layoutItemSaleUnitID" Binding="{Binding Entity.SaleUnitID, UpdateSourceTrigger=PropertyChanged}" IsReadOnly="{Binding DataContext.IsPrimaryKeyReadOnly, RelativeSource={RelativeSource AncestorType={x:Type dxlc:LayoutControl}}}" />
            <dxlc:DataLayoutItem x:Name="layoutItemQuantity" Binding="{Binding Entity.Quantity, UpdateSourceTrigger=PropertyChanged}" />
            <dxlc:DataLayoutItem x:Name="layoutItemSaleItem" Binding="{Binding Entity.SaleItem, Mode=OneTime}">
                <dxg:LookUpEdit Style="{StaticResource EntityView.LookUpEdit}" DataContext="{Binding ElementName=layoutControl, Path=DataContext}" EditValue="{Binding Entity.SaleItemID, UpdateSourceTrigger=PropertyChanged, ValidatesOnDataErrors=True, NotifyOnSourceUpdated=True}" ItemsSource="{Binding LookUpSaleItems.Entities}" ValueMember="SaleItemID" DisplayMember="Name">
                    <dxg:LookUpEdit.PopupContentTemplate>
                        <ControlTemplate TargetType="ContentControl">
                            <dxg:GridControl x:Name="PART_GridControl" ShowBorder="False" ShowLoadingPanel="{Binding LookUpSaleItems.IsLoading}" />
                        </ControlTemplate>
                    </dxg:LookUpEdit.PopupContentTemplate>
                </dxg:LookUpEdit>
            </dxlc:DataLayoutItem>
            <dxlc:DataLayoutItem x:Name="layoutItemStockItem" Binding="{Binding Entity.StockItem, Mode=OneTime}">
                <dxg:LookUpEdit Style="{StaticResource EntityView.LookUpEdit}" DataContext="{Binding ElementName=layoutControl, Path=DataContext}" EditValue="{Binding Entity.StockItemID, UpdateSourceTrigger=PropertyChanged, ValidatesOnDataErrors=True, NotifyOnSourceUpdated=True}" ItemsSource="{Binding LookUpStockItems.Entities}" ValueMember="StockItemID" DisplayMember="Name">
                    <dxg:LookUpEdit.PopupContentTemplate>
                        <ControlTemplate TargetType="ContentControl">
                            <dxg:GridControl x:Name="PART_GridControl" ShowBorder="False" ShowLoadingPanel="{Binding LookUpStockItems.IsLoading}" />
                        </ControlTemplate>
                    </dxg:LookUpEdit.PopupContentTemplate>
                </dxg:LookUpEdit>
            </dxlc:DataLayoutItem>
        </dxlc:LayoutControl>
    </DockPanel>
</UserControl>